package com.leromro.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.leromro.core.domain.OrderRefund;
import com.leromro.core.domain.vo.OrderRefundVO;

/**
 * 订单取消/退款Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-21
 */
public interface OrderRefundMapper extends BaseMapper<OrderRefund>
{
    /**
     * 查询订单取消/退款
     * 
     * @param orderRefundId 订单取消/退款主键
     * @return 订单取消/退款
     */
    public OrderRefund selectLOrderRefundByOrderRefundId(Long orderRefundId);

    /**
     * 查询订单取消/退款列表
     * 
     * @param orderRefund 订单取消/退款
     * @return 订单取消/退款集合
     */
    public List<OrderRefund> selectLOrderRefundList(OrderRefund orderRefund);

    /**
     * 新增订单取消/退款
     * 
     * @param orderRefund 订单取消/退款
     * @return 结果
     */
    public int insertLOrderRefund(OrderRefund orderRefund);

    /**
     * 修改订单取消/退款
     * 
     * @param orderRefund 订单取消/退款
     * @return 结果
     */
    public int updateLOrderRefund(OrderRefund orderRefund);

    /**
     * 删除订单取消/退款
     * 
     * @param orderRefundId 订单取消/退款主键
     * @return 结果
     */
    public int deleteLOrderRefundByOrderRefundId(Long orderRefundId);

    /**
     * 批量删除订单取消/退款
     * 
     * @param orderRefundIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLOrderRefundByOrderRefundIds(Long[] orderRefundIds);

    OrderRefundVO selectOrderRefundInfoByMainOrderId(Long mainOrderId);

    void updateList(List<OrderRefund> orderRefundList);
}
